
GIS - Bug #13885

Wrong name showing in the list of layers in the map

08/04/2022 15:55 - Giulio Di Anastasio

Status: Resolved Start date: 08/04/2022

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 4.00 hours

Description

I tried twice to create a new survey category (Proposed Shed, Status F, name B65) and it was created. But both times, in the list of

Building Layers in Gisaf map, instead of the usual "Shed" the newly created "Proposed shed" appeared, with the same number of

features as the shed (378 features) but not visualizing them.

It is a  category which should not show in the map layers list, as it is used for the status "F" (as we have done for other categories as

well), but this time it behaves differently...

Related issues:

Related to GIS - Bug #13901: Map: style of the category with status 'E' is al... New 12/04/2022

Associated revisions

Revision 2d0c3627 - 12/04/2022 10:41 - Philippe May

Fix categories mixup for the same store (closes #13885)

History

#1 - 11/04/2022 19:07 - Philippe May

- Status changed from New to In Progress

Quick update: i found the problem and working on it.

#2 - 12/04/2022 11:04 - Philippe May

The issue is fixed and applied on the server.

But, i then found that there's another related issue related to layers with different statuses. It's only a problem of styling in the map and not blocking.

See #13901 for details.

#3 - 12/04/2022 11:04 - Philippe May

- Related to Bug #13901: Map: style of the category with status 'E' is always applied  added

#4 - 12/04/2022 11:05 - Philippe May

- % Done changed from 0 to 100

#5 - 23/04/2022 04:04 - Philippe May

- Status changed from In Progress to Resolved

Applied in changeset gisaf:gisaf|2d0c36270ca9e63b67dad0809268cdead4ba1fcb.
